Subject: Re: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Mar 2013 22:22:30 +0200

> From: [email-masked] (Ashish SHUKLA)
> Cc: [email-masked]
> Date: Tue, 05 Mar 2013 00:43:11 +0530
> 
> > Did this problem appear lately, or do you see it in previous versions
> > as well (e.g., on the emacs-24 branch)?  If this only appeared
> > recently, could you perhaps bisect to find the commit which caused
> > this?
> 
> As, I only recently started to use Emacs like this, it became noticeable, but
> I don't remember encountering it before when multi-tty support was introduced.
> 
> I've couple of old Emacs 24.3.50, and Emacs ~23.x packages. I can give them a
> shot.

Please do.

> > Also, would you be ready to run Emacs under a debugger and look around
> > where I suggest you to?
> 
> Sure.

Thanks.  Let's see what you find with older versions first.